Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fasterxml.aalto.impl
Class LocationImpl

    java.lang.Object
      com.fasterxml.aalto.impl.LocationImpl

All Implemented Interfaces:
  Location, org.codehaus.stax2.XMLStreamLocation2

    public class LocationImpl

extends Object
implements org.codehaus.stax2.XMLStreamLocation2

Basic implementation of `XMLStreamLocation2`, used by stream readers and writers.

Constructor Summary
`LocationImpl(String pubId, String sysId, int charOffset, int row, int col)`

Method Summary
`static LocationImpl` | `fromZeroBased(String pubId, String sysId, int rawOffset, int rawRow, int rawCol)` Helper method that will adjust given internal zero-based values to 1-based values that should be externally visible.
`int` | `getCharacterOffset()`
`int` | `getColumnNumber()`
`org.codehaus.stax2.XMLStreamLocation2` | `getContext()`
`static LocationImpl` | `getEmptyLocation()`
`int` | `getLineNumber()`
`String` | `getPublicId()`
`String` | `getSystemId()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LocationImpl

    public LocationImpl(String pubId,
                        String sysId,
                        int charOffset,
                        int row,
                        int col)

Method Detail

### fromZeroBased

    public static LocationImpl fromZeroBased(String pubId,
                                             String sysId,
                                             int rawOffset,
                                             int rawRow,
                                             int rawCol)

  Helper method that will adjust given internal zero-based values to 1-based values that should be externally visible.

### getEmptyLocation

    public static LocationImpl getEmptyLocation()

### getCharacterOffset

    public int getCharacterOffset()

  Specified by:
    `getCharacterOffset` in interface `Location`

### getColumnNumber

    public int getColumnNumber()

  Specified by:
    `getColumnNumber` in interface `Location`

### getLineNumber

    public int getLineNumber()

  Specified by:
    `getLineNumber` in interface `Location`

### getPublicId

    public String getPublicId()

  Specified by:
    `getPublicId` in interface `Location`

### getSystemId

    public String getSystemId()

  Specified by:
    `getSystemId` in interface `Location`

### getContext

    public org.codehaus.stax2.XMLStreamLocation2 getContext()

  Specified by:
    `getContext` in interface `org.codehaus.stax2.XMLStreamLocation2`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Fasterxml.com. All Rights Reserved.